'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _card = require('antd-mobile/lib/card');

var _card2 = _interopRequireDefault(_card);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/wing-blank/style/css');

require('antd-mobile/lib/card/style/css');

require('antd-mobile/lib/white-space/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./BaseCard.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BaseCard = function (_Component) {
  (0, _inherits3.default)(BaseCard, _Component);

  function BaseCard(props) {
    (0, _classCallCheck3.default)(this, BaseCard);
    return (0, _possibleConstructorReturn3.default)(this, (BaseCard.__proto__ || Object.getPrototypeOf(BaseCard)).call(this, props));
  }

  (0, _createClass3.default)(BaseCard, [{
    key: 'setBgColor',
    value: function setBgColor(index) {
      var bgColorArr = this.props.bgColorArr;

      var color = [];
      return bgColorArr ? bgColorArr[index] : color[index];
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          header = _props.header,
          body = _props.body,
          bodyExtra = _props.bodyExtra,
          footer = _props.footer,
          onClick = _props.onClick,
          children = _props.children,
          className = _props.className;

      var cardClass = className ? 'zk_basecard ' + className : 'zk_basecard';
      return _react2.default.createElement(
        'div',
        { className: cardClass },
        _react2.default.createElement(
          _wingBlank2.default,
          { size: 'lg' },
          _react2.default.createElement(_whiteSpace2.default, { size: 'lg' }),
          _react2.default.createElement(
            _card2.default,
            { onClick: onClick },
            header ? _react2.default.createElement(_card2.default.Header, { className: 'zk_basecard-hd', title: header,
              style: { backgroundColor: this.setBgColor(0) } }) : '',
            _react2.default.createElement(
              _card2.default.Body,
              null,
              _react2.default.createElement(
                'div',
                { className: 'zk_basecard-body', style: { backgroundColor: this.setBgColor(1) } },
                _react2.default.createElement(
                  'div',
                  null,
                  children || body
                ),
                bodyExtra ? _react2.default.createElement(
                  'div',
                  { className: 'zk_basecard-bodyextra' },
                  bodyExtra
                ) : ''
              )
            ),
            footer ? _react2.default.createElement(_card2.default.Footer, { className: 'zk_basecard-ft',
              style: { backgroundColor: this.setBgColor(2) },
              content: footer }) : ''
          ),
          _react2.default.createElement(_whiteSpace2.default, { size: 'lg' })
        )
      );
    }
  }]);
  return BaseCard;
}(_react.Component); /* 基础卡片 */


BaseCard.propTypes = {
  //填充背景数据集合
  bgColorArr: _propTypes2.default.array,
  header: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string]),
  body: _propTypes2.default.element,
  bodyExtra: _propTypes2.default.element,
  footer: _propTypes2.default.element,
  className: _propTypes2.default.string
};

exports.default = BaseCard;
//# sourceMappingURL=BaseCard.js.map