'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/wing-blank/style/css');

require('antd-mobile/lib/white-space/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _CardItem = require('../CardItem/CardItem');

var _CardItem2 = _interopRequireDefault(_CardItem);

require('./LightHeadCard.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* 在BaseCard基础上封装的轻标题卡片，标头以及子项标题内置浅灰色，内部只展示文本 */
var LightHeadCard = function (_Component) {
  (0, _inherits3.default)(LightHeadCard, _Component);

  function LightHeadCard() {
    (0, _classCallCheck3.default)(this, LightHeadCard);
    return (0, _possibleConstructorReturn3.default)(this, (LightHeadCard.__proto__ || Object.getPrototypeOf(LightHeadCard)).apply(this, arguments));
  }

  (0, _createClass3.default)(LightHeadCard, [{
    key: 'render',
    value: function render() {
      var data = this.props.data;

      return _react2.default.createElement(
        'div',
        { className: 'zk_lighheadcard' },
        _react2.default.createElement(
          _wingBlank2.default,
          { size: 'lg' },
          _react2.default.createElement(
            'div',
            { className: 'zk_lighheadcard-hd' },
            data ? data[0].value : ''
          ),
          _react2.default.createElement(
            'div',
            { className: 'zk_lighheadcard-bd' },
            data.filter(function (item, i) {
              return i > 0;
            }).map(function (item, index) {
              return _react2.default.createElement(_CardItem2.default, { key: 'lighheadcard' + index,
                label: item.name,
                value: item.value,
                unit: item.unit ? item.unit : '',
                align: 'justify',
                unitPosition: 'left' });
            })
          ),
          _react2.default.createElement(_whiteSpace2.default, { size: 'lg' })
        )
      );
    }
  }]);
  return LightHeadCard;
}(_react.Component);

LightHeadCard.propTypes = {
  data: _propTypes2.default.array
};

exports.default = LightHeadCard;
//# sourceMappingURL=LightHeadCard.js.map