'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Header = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./Header.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Header = exports.Header = function (_Component) {
  (0, _inherits3.default)(Header, _Component);

  function Header() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, Header);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = Header.__proto__ || Object.getPrototypeOf(Header)).call.apply(_ref, [this].concat(args))), _this), _this.getClassName = function () {
      var _this$props = _this.props,
          size = _this$props.size,
          overflow = _this$props.overflow;

      var className = '';
      switch (size) {
        case 'big':
          className = 'zk_h_big';
          break;
        case 'middle':
          className = 'zk_h_middle';
          break;
        case 'small':
          className = 'zk_h_small';
          break;
        default:
          className = 'zk_h_default';
      }
      if (overflow) {
        className += ' zk_header_overflow_ellipsis';
      }
      return className;
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(Header, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          title = _props.title,
          extra = _props.extra,
          color = _props.color,
          bgColor = _props.bgColor,
          padding = _props.padding;

      return _react2.default.createElement(
        'div',
        { className: 'zk_header', style: { backgroundColor: bgColor, padding: padding } },
        _react2.default.createElement(
          'h1',
          { className: this.getClassName(), style: { color: color } },
          title
        ),
        extra ? _react2.default.createElement(
          'div',
          null,
          extra
        ) : ''
      );
    }
  }]);
  return Header;
}(_react.Component); /* 头部组件 */


Header.propTypes = {
  title: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string]),
  color: _propTypes2.default.string,
  size: _propTypes2.default.oneOf(['big', 'middle', 'small']),
  overflow: _propTypes2.default.bool,
  bgColor: _propTypes2.default.string,
  padding: _propTypes2.default.string,
  extra: _propTypes2.default.oneOfType([_propTypes2.default.element, _propTypes2.default.string])
};
//# sourceMappingURL=Header.js.map