'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _list = require('antd-mobile/lib/list');

var _list2 = _interopRequireDefault(_list);

var _inputItem = require('antd-mobile/lib/input-item');

var _inputItem2 = _interopRequireDefault(_inputItem);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/wing-blank/style/css');

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/list/style/css');

require('antd-mobile/lib/input-item/style/css');

require('antd-mobile/lib/white-space/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Icon = require('./styles/Icon');

require('./styles/LoginForm.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoginForm = function (_Component) {
  (0, _inherits3.default)(LoginForm, _Component);

  function LoginForm() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, LoginForm);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = LoginForm.__proto__ || Object.getPrototypeOf(LoginForm)).call.apply(_ref, [this].concat(args))), _this), _this.handleVal = function () {
      _this.props.submit(_this.refs.name.state.value, _this.refs.pwd.state.value);
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(LoginForm, [{
    key: 'render',
    value: function render() {
      var containerHeight = document.documentElement.clientHeight;
      return _react2.default.createElement(
        'div',
        { style: { height: containerHeight }, className: 'zk_loginform_bg' },
        _react2.default.createElement(
          'div',
          { className: 'zk-loginform-hd' },
          _react2.default.createElement('img', { src: this.props.logo || _Icon.DefaultLoginIcon }),
          _react2.default.createElement(
            'div',
            { className: 'zk_title_b zk_color' },
            this.props.title
          )
        ),
        _react2.default.createElement(
          _wingBlank2.default,
          null,
          _react2.default.createElement(_whiteSpace2.default, { size: 'xl' }),
          _react2.default.createElement(_whiteSpace2.default, { size: 'xl' }),
          _react2.default.createElement(_whiteSpace2.default, { size: 'xl' }),
          _react2.default.createElement(
            _list2.default,
            null,
            _react2.default.createElement(
              _inputItem2.default,
              {
                placeholder: '\u8BF7\u8F93\u5165\u767B\u5F55\u540D',
                clear: 'true', ref: 'name'
              },
              '\u767B\u5F55\u540D'
            ),
            _react2.default.createElement(
              _inputItem2.default,
              {
                type: 'password', ref: 'pwd', clear: 'true',
                placeholder: '\u8BF7\u8F93\u5165\u5BC6\u7801'
              },
              '\u5BC6\u7801'
            )
          ),
          _react2.default.createElement(_whiteSpace2.default, { size: 'xl' }),
          _react2.default.createElement(
            'div',
            { style: { textAlign: "center" } },
            this.props.errorTip
          ),
          _react2.default.createElement(_whiteSpace2.default, { size: 'xl' }),
          _react2.default.createElement(_whiteSpace2.default, { size: 'xl' }),
          _react2.default.createElement(
            _button2.default,
            { type: 'primary', onClick: this.handleVal },
            '\u767B\u5F55'
          )
        )
      );
    }
  }]);
  return LoginForm;
}(_react.Component);

LoginForm.propTypes = {
  title: _propTypes2.default.string.isRequired,
  login: _propTypes2.default.func
};

exports.default = LoginForm;
//# sourceMappingURL=LoginForm.js.map