'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _button = require('antd-mobile/lib/button');

var _button2 = _interopRequireDefault(_button);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/wing-blank/style/css');

require('antd-mobile/lib/button/style/css');

require('antd-mobile/lib/white-space/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./Result.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SuccessIcon = require('./images/success.png');
var FailIcon = require('./images/fail.png');

var Result = function (_Component) {
  (0, _inherits3.default)(Result, _Component);

  function Result() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, Result);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = Result.__proto__ || Object.getPrototypeOf(Result)).call.apply(_ref, [this].concat(args))), _this), _this.showSpaces = function (num) {
      var spaces = [];
      for (var i = 0; i < num; i++) {
        spaces.push(_react2.default.createElement(_whiteSpace2.default, { size: 'xl' }));
      }
      return spaces;
    }, _this.mainButton = function (_onClick, onClickText) {
      return _onClick ? _react2.default.createElement(
        'div',
        { className: 'zk_btn_group' },
        _react2.default.createElement(
          _button2.default,
          { inline: true, type: 'primary', onClick: function onClick() {
              return _onClick();
            } },
          onClickText || '确认'
        )
      ) : '';
    }, _this.extraButton = function (extraClick, extraClickText) {
      return extraClick ? _react2.default.createElement(
        'div',
        { className: 'zk_btn_group' },
        _react2.default.createElement(
          _button2.default,
          { inline: true, type: 'ghost', onClick: function onClick() {
              return extraClick();
            } },
          extraClickText || '返回首页'
        )
      ) : '';
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(Result, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          type = _props.type,
          icon = _props.icon,
          title = _props.title,
          content = _props.content,
          onClick = _props.onClick,
          onClickText = _props.onClickText,
          extraClick = _props.extraClick,
          extraClickText = _props.extraClickText;

      var defaultIcon = type === 'fail' ? FailIcon : SuccessIcon;
      return _react2.default.createElement(
        'div',
        { className: 'zk_result_bg' },
        _react2.default.createElement(
          _wingBlank2.default,
          null,
          _react2.default.createElement(
            'div',
            { className: 'zk_result-hd' },
            _react2.default.createElement('img', { src: icon || defaultIcon }),
            _react2.default.createElement(
              'div',
              { className: 'zk_result-title' },
              title
            ),
            _react2.default.createElement(
              'div',
              { className: 'zk_result-info' },
              content
            )
          ),
          this.showSpaces(7),
          this.mainButton(onClick, onClickText),
          this.extraButton(extraClick, extraClickText)
        )
      );
    }
  }]);
  return Result;
}(_react.Component);

Result.propTypes = {
  type: _propTypes2.default.string,
  icon: _propTypes2.default.string,
  title: _propTypes2.default.string,
  content: _propTypes2.default.string,
  onClick: _propTypes2.default.func,
  onClickText: _propTypes2.default.string,
  extraClick: _propTypes2.default.string,
  extraClickText: _propTypes2.default.func
};

exports.default = Result;
//# sourceMappingURL=Result.js.map