import React, {Component} from "react";
import {Toast} from "antd-mobile";
import AttUtil from "../AttUtil/AttUtil";
import {albumIcon} from "../images/icon";

class Album extends Component {

  //获取相册图片
  getPicByAlbum = () => {
    const {onClick, picNum, picMaxNum} = this.props;
    const picMax = picMaxNum || AttUtil.PIC_MAX_NUM;
    if (picNum >= picMax) {
      Toast.info(`图片最多上传${picMax}张`, AttUtil.TOAST_DURATION);
      return
    }
    AttUtil.capturePicByAlbum(
      (picData) => {
        onClick ? onClick(picData) : '';
      }
    )
  };

  render() {
    return <img onClick={() => {
      this.getPicByAlbum()
    }} src={albumIcon} alt={'相册'}/>
  }
}

export default Album;
