import React, {Component} from "react";
import AttUtil from "../AttUtil/AttUtil";
import {audioIcon} from "../images/icon";

class Audio extends Component {

  //获取相册图片
  getAudio = () => {
    const {onClick} = this.props;
    AttUtil.captureAudio(
      (audioData, audioPath) => {
        const index = audioData.lastIndexOf("base64");
        onClick ? onClick(audioData.substring(index + 7, audioData.length), audioPath) : '';
      }
    )
  };

  render() {
    return <img onClick={() => {
      this.getAudio()
    }} src={audioIcon} alt={'录像'}/>
  }
}

export default Audio;
