'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _wingBlank = require('antd-mobile/lib/wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _whiteSpace = require('antd-mobile/lib/white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

require('antd-mobile/lib/wing-blank/style/css');

require('antd-mobile/lib/white-space/style/css');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('./BillCard.scss');

var _CardItem = require('../CardItem/CardItem');

var _CardItem2 = _interopRequireDefault(_CardItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* 票据卡片，内置上中下结构，以及头部虚线间隔，统一标题为浅灰色，对应值为黑色，底部部分右对齐 */
var BillCard = function (_Component) {
  (0, _inherits3.default)(BillCard, _Component);

  function BillCard(props) {
    (0, _classCallCheck3.default)(this, BillCard);
    return (0, _possibleConstructorReturn3.default)(this, (BillCard.__proto__ || Object.getPrototypeOf(BillCard)).call(this, props));
  }

  (0, _createClass3.default)(BillCard, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          data = _props.data,
          footer = _props.footer;

      return _react2.default.createElement(
        _wingBlank2.default,
        { size: 'lg' },
        _react2.default.createElement(_whiteSpace2.default, { size: 'lg' }),
        _react2.default.createElement(
          'div',
          { className: 'zk_billcard' },
          _react2.default.createElement(_CardItem2.default, { label: data[0].name, value: data[0].value }),
          _react2.default.createElement(
            'div',
            { className: 'zk_bill-line' },
            _react2.default.createElement(
              'span',
              { className: 'zk_circle' },
              ' '
            ),
            _react2.default.createElement(
              'span',
              null,
              '\u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014 \u2014'
            ),
            _react2.default.createElement(
              'span',
              { className: 'zk_circle' },
              ' '
            )
          ),
          data.filter(function (item, i) {
            return i > 0;
          }).map(function (item, index) {
            return _react2.default.createElement(_CardItem2.default, { key: 'billcard' + index, label: item.name, value: item.value });
          }),
          footer ? footer : ''
        ),
        _react2.default.createElement(_whiteSpace2.default, { size: 'lg' })
      );
    }
  }]);
  return BillCard;
}(_react.Component);

BillCard.propTypes = {
  data: _propTypes2.default.array
};

exports.default = BillCard;
//# sourceMappingURL=BillCard.js.map