import React, {Component} from 'react'
import PropTypes from 'prop-types'
import BaseButton from "./BaseButton";
const more =require('./images/spot-three.svg')

class MoreButton extends Component {
  state={
    showElement:false
  }

  showElement=()=>{
    this.setState({
      showElement:true
    })
  }

  render() {
    const {disabled,value,inline,moreElem} = this.props;
    const {showElement}=this.state
    if(showElement){
      return moreElem?moreElem:<div/>
    }
    return <BaseButton className={'zk_btn_icon'} icon={<img src={more}/>} inline={inline} onClick={()=>this.showElement} value={value}/>
  }
}

MoreButton.propTypes = {
  inline: PropTypes.bool,
  value: PropTypes.string,
  moreElem:PropTypes.element
};

export default MoreButton;
